| PUT | /RestApi/recycle-bin/dataItems |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ItemIdentification | body | DataItemIdentification | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| TypeName | form | string | No | |
| ProviderName | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/recycle-bin/dataItems HTTP/1.1
Host: www.imglobal.com
Accept: application/json
Content-Type: application/json
Content-Length: length
{"ItemIdentification":{"TypeName":"String","ProviderName":"String"}}